org.springframework.aop.aspectj

## Class AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.aop.aspectj.AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AspectJAdviceParameterNameDiscoverer

    public static class AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException
    extends RuntimeException

Thrown in response to an ambiguous binding being detected when trying to resolve a method's parameter names.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException(String msg)` Construct a new AmbiguousBindingException with the specified message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException

    public AspectJAdviceParameterNameDiscoverer.AmbiguousBindingException(String msg)

Construct a new AmbiguousBindingException with the specified message.

Parameters:
  `msg` - the detail message